MOVIM(1)

NAME
movim - Movim administration CLI utility

SYNOPSIS
movim [-h | --help] [-q | --quiet] [-V | --version] [--ansi] [--no-ansi] [-n | --no-interaction] [-v | -vv | -vvv | --verbose] subcommand [subcommand-options] [subcommand-arguments]

movim [global-options] config [--info=INFO] [--username=USERNAME] [--password=PASSWORD] [--timezone=TIMEZONE] [--loglevel=LOGLEVEL] [--locale=LOCALE] [--xmppdomain=XMPPDOMAIN] [--xmppdescription=XMPPDESCRIPTION] [--xmppcountry=XMPPCOUNTRY] [--xmppwhitelist=XMPPWHITELIST]

movim [global-options] help [--format=FORMAT] [--raw] [--] [command_name]

movim [global-options] list [--format=FORMAT] [--raw] [--] [namespace]

movim [global-options] start [--url=URL] [-p | --port[=PORT]] [-i | --interface[=INTERFACE]] [-d | --debug]

DESCRIPTION
The movim utility assists in configuring and starting the Movim server. Its behaviour is controlled by the actual subcommand invoked. Upstream documentation refers to this command as: php daemon.php

The global options are as follows:

-h | --help
    Display a help message

-q | --quiet
    Do not output any message

-V | --version
    Display application's version

--ansi
    Force ANSI coloured output

--no-ansi
    Disable ANSI coloured output

-n | --no-interaction
    Do not ask any interactive questions

-v | -vv | -vvv | --verbose
    Increase the verbosity, up to three times; thrice is debug logging

The help and list subcommands share these options:

--format=FORMAT
    Select the output format (txt, xml, json, md); default: txt

--raw
    Output raw command help/list

SUBCOMMANDS

  config
Changes the configuration. Options are as follows:

--info=INFO
    Content of the info box on the login page

--username=USERNAME
    Username for the admin area

--password=PASSWORD
    Password for the admin area

--timezone=TIMEZONE
    The server timezone

--loglevel=LOGLEVEL
    The server loglevel, default 0

--locale=LOCALE
    The server main locale

--xmppdomain=XMPPDOMAIN
    The default XMPP server domain

--xmppdescription=XMPPDESCRIPTION
    The default XMPP server description

--xmppcountry=XMPPCOUNTRY
    The default XMPP server country

--xmppwhitelist=XMPPWHITELIST
    The whitelisted XMPP servers

  help
Displays help for a command. See above for global and other options. If no command_name is given, it defaults to show help for the help command itself.

  list
Lists the supported subcommands. See above for global and other options. The optional namespace argument lists commands from a specific namespace, such as “test”.

  start
Starts the Movim daemon. Options are as follows:

--url=URL
    Public URL of your Movim instance

-p | --port[=PORT]
    Port on which the daemon will listen; default: 8080

-i | --interface[=INTERFACE]
    Interface on which the daemon will listen; default: 127.0.0.1

-d | --debug
    Output XMPP logs

CAVEATS
This command is highly dynamic. This manual page was created for Movim 0.15, but may be outdated. The documentation situation of the management commands themselves, including error handling and exit statuses, is... suboptimal.